# Uses of Interface
java.beans.ExceptionListener

Packages that use ExceptionListener
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

## Uses of ExceptionListener in java.beans

Methods in java.beans that return ExceptionListener
Modifier and Type
Method
Description
`ExceptionListener`
Encoder.`getExceptionListener()`
Gets the exception handler for this stream.
`ExceptionListener`
XMLDecoder.`getExceptionListener()`
Gets the exception handler for this stream.
Methods in java.beans with parameters of type ExceptionListener
Modifier and Type
Method
Description
`static DefaultHandler`
XMLDecoder.`createHandler(Object owner, ExceptionListener el, ClassLoader cl)`
Creates a new handler for SAX parser that can be used to parse embedded XML archives created by the `XMLEncoder` class.
`void`
Encoder.`setExceptionListener(ExceptionListener exceptionListener)`
Sets the exception handler for this stream to `exceptionListener`.
`void`
XMLDecoder.`setExceptionListener(ExceptionListener exceptionListener)`
Sets the exception handler for this stream to `exceptionListener`.
Constructors in java.beans with parameters of type ExceptionListener
Modifier
Constructor
Description
``
`XMLDecoder(InputStream in, Object owner, ExceptionListener exceptionListener)`
Creates a new input stream for reading archives created by the `XMLEncoder` class.
``
`XMLDecoder(InputStream in, Object owner, ExceptionListener exceptionListener, ClassLoader cl)`
Creates a new input stream for reading archives created by the `XMLEncoder` class.